
Foreman - Bug #13430

virt power manager is missing reboot action

01/28/2016 06:38 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Power management   

Target version: 1.10.2   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link: 1211376 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3131

  

Description

When rebooting a vm via power manager, this fails:

| TypeError: nil is not a symbol

| /Users/f0218175/foremandev/foreman/app/services/power_manager/virt.rb:25:in `block (2 levels) in

 &lt;class:Virt&gt;'

 The action map in app/services/power_manager/virt.rb is missing "reboot".

Related issues:

Has duplicate Foreman - Bug #11642: Fetching host power state using "power_ac... Duplicate 09/01/2015

Associated revisions

Revision 1bf5ff53 - 02/04/2016 09:25 AM - Timo Goebel

fixes #13430 - add missing actions to virt power manager

When rebooting a vm via power manager, this fails:

| TypeError: nil is not a symbol | /Users/f0218175/foremandev/foreman/app/services/power_manager/virt.rb:25:in

`block (2 levels) in <class:Virt>'

The action map in app/services/power_manager/virt.rb is missing

"reboot".

Revision e9aaaf29 - 02/23/2016 09:59 AM - Timo Goebel

fixes #13430 - add missing actions to virt power manager

When rebooting a vm via power manager, this fails:

| TypeError: nil is not a symbol | /Users/f0218175/foremandev/foreman/app/services/power_manager/virt.rb:25:in

`block (2 levels) in <class:Virt>'

The action map in app/services/power_manager/virt.rb is missing

"reboot".

(cherry picked from commit 1bf5ff536572e0209095532d7f5c7dd986d2aa19)

Revision f2ce2398 - 02/23/2016 12:56 PM - Dominic Cleal

refs #13430, #13236 - backport REAL_ACTIONS from 8ca6c6b

History

#1 - 01/28/2016 09:19 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3131 added
#2 - 02/04/2016 09:25 AM - Dominic Cleal

- translation missing: en.field_release set to 123

#3 - 02/04/2016 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1bf5ff536572e0209095532d7f5c7dd986d2aa19.

#4 - 03/16/2016 05:41 AM - Dominic Cleal

- Has duplicate Bug #11642: Fetching host power state using "power_action": "status" fails for VMs added

#5 - 03/17/2016 08:44 AM - Bryan Kearney

- Bugzilla link set to 1211376
